### Installation:

#### Télécharger ownCloud Server

[:fa-link:https://owncloud.org/install/#edition](https://owncloud.org/install/#edition)

#### Installer ownCloud Server

[:fa-link:https://doc.owncloud.org/server/9.0/admin_manual/installation/installation_wizard.html#installation-wizard](https://doc.owncloud.org/server/9.0/admin_manual/installation/installation_wizard.html#installation-wizard)

#### Lancer /volume1/web/perm_owc.sh pour corriger toutes les autorisations.

[:fa-link:https://doc.owncloud.org/server/9.0/admin_manual/installation/installation_wizard.html#setting-strong-directory-permissions](https://doc.owncloud.org/server/9.0/admin_manual/installation/installation_wizard.html#setting-strong-directory-permissions)

#### Aller à l'adresse http://192.168.1.7/owncloud/ pour démarrer l'installation.

*Créer un compte administrateur:* bruno / <password>
*Répertoire des données:* /volume1/owncloud/data
*Configurer la base de donnée MySQL/MariaDB:*

- User: root
- Mot de passe de la base: <password>
- Nom de la base de donnée: owncloud
- Hôte: localhost



### Autorisations:

**Dossier owncloud:**

```bash
bruno@DS916:/volume1/web $
drwxr-x— 1 root http 450 Dec 11 10:01 owncloud
```

**et son contenu:**

```bash
root@DS916:/volume1/web/owncloud# ls -la
total 144
drwxr-x---  1 root http   450 Dec 11 10:01 .
d---------+ 1 root root   408 Dec 11 10:01 ..
drwxr-x---  1 root http   588 Dec 11 09:58 3rdparty
drwxr-x---  1 http http   608 Dec 11 09:58 apps
drwxr-x---  1 http http     0 Dec 11 10:01 assets
-rw-r-----  1 root http  8301 Nov  8 11:53 AUTHORS
drwxr-x---  1 http http    72 Dec 11 10:02 config
-rw-r-----  1 root http  4134 Nov  8 11:53 console.php
-rw-r-----  1 root http 34520 Nov  8 11:53 COPYING-AGPL
drwxr-x---  1 root http   332 Dec 11 09:59 core
-rw-r-----  1 root http  5141 Nov  8 11:53 cron.php
-rw-r-----  1 root http 35830 Nov  8 11:53 db_structure.xml
-rw-r--r--  1 root http  2496 Nov  8 11:53 .htaccess
-rw-r-----  1 root http   179 Nov  8 11:53 index.html
-rw-r-----  1 root http  3062 Nov  8 11:53 index.php
drwxr-x---  1 root http    58 Dec 11 09:58 l10n
drwxr-x---  1 root http    94 Dec 11 09:59 lib
-rwxr-x--x  1 root http   283 Nov  8 11:53 occ
drwxr-x---  1 root http    70 Dec 11 09:58 ocs
drwxr-x---  1 root http    18 Dec 11 09:59 ocs-provider
-rw-r-----  1 root http  3086 Nov  8 11:53 public.php
-rw-r-----  1 root http  5428 Nov  8 11:53 remote.php
drwxr-x---  1 root http    34 Dec 11 09:59 resources
-rw-r-----  1 root http    26 Nov  8 11:53 robots.txt
drwxr-x---  1 root http   288 Dec 11 09:59 settings
-rw-r-----  1 root http  1893 Nov  8 11:53 status.php
drwxr-x---  1 http http    26 Dec 11 09:58 themes
drwxr-x---  1 http http   310 Dec 11 09:59 updater
-rw-r-----  1 root http   163 Nov  8 11:53 .user.ini
-rw-r-----  1 root http   233 Nov  8 11:54 version.php
```

**Le dossier config:**

```bash
root@DS916:/volume1/web/owncloud/config# ls -la
total 52
drwxr-x--- 1 http http   100 Dec 11 10:39 .
drwxr-x--- 1 root http   450 Dec 11 10:01 ..
-rw-r----- 1 http http   604 Dec 11 10:18 config.php
-rw-r----- 1 http http   604 Dec 11 10:39 config.php.bak
-rw-r----- 1 http http 40557 Nov  8 11:53 config.sample.php
-rw-r----- 1 http http   225 Nov  8 11:53 .htaccess
```

**Dossier data:**

```bash
bruno@DS916:/volume1 $
drwxrwxrwx+ 1 http http 20 Aug 28 14:28 owncloud
```

```bash
bruno@DS916:/volume1/owncloud $
drwxrwx— 1 http http 146 Dec 11 10:19 data
```

[:fa-link:Setting Strong Directory Permissions](https://doc.owncloud.org/server/9.0/admin_manual/installation/installation_wizard.html#setting-strong-directory-permissions)



### Apps:

[:fa-link:https://apps.owncloud.com/](https://apps.owncloud.com/)

- files*mv\* direct*menu
- OwnNote
- OwnBackup



### Redirection http vers https:

Rajouter les 2 lignes suivantes au .htaccess

```bash
RewriteCond %{HTTPS} off
RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R=301,L]
```

```bash
root@DS916:/volume1/web/owncloud# ls -la
-rw-r--r--  1 root http  2587 Dec 11 18:52 .htaccess
-rw-r--r--  1 root http  2496 Dec 11 18:45 .htaccess-bak

root@DS916:/volume1/web/owncloud# nano .htaccess
```

```bash
<IfModule mod_rewrite.c>
  RewriteEngine on
  RewriteCond %{HTTPS} off
  RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R=301,L]
  RewriteRule .* - [env=HTTP_AUTHORIZATION:%{HTTP:Authorization}]
  RewriteRule ^.well-known/host-meta /public.php?service=host-meta [QSA,L]
  RewriteRule ^.well-known/host-meta.json /public.php?service=host-meta-json [QSA,L]
  RewriteRule ^.well-known/carddav /remote.php/dav/ [R=301,L]
  RewriteRule ^.well-known/caldav /remote.php/dav/ [R=301,L]
  RewriteRule ^remote/(.*) remote.php [QSA,L]
  RewriteRule ^(?:build|tests|config|lib|3rdparty|templates)/.* - [R=404,L]
  RewriteCond %{REQUEST_URI} !^/.well-known/acme-challenge/.*
  RewriteRule ^(?:\.|autotest|occ|issue|indie|db_|console).* - [R=404,L]
</IfModule>
```

### Liens

[:fa-link:http://www.iholken.com/index.php/2016/03/15/guide-for-installing-owncloud-9-to-synology-nas-running-dsm-6/](http://www.iholken.com/index.php/2016/03/15/guide-for-installing-owncloud-9-to-synology-nas-running-dsm-6/)